Page MenuHomePhabricator

Add SPF record for non-canonical domains that are not parked
Open, Stalled, NormalPublic

Description

We have some non-canonical domains with MX records defined that are not parked (not handled by the parking domain zone) and that they're currently missing a SPF record:

  • toolserver.org
  • wikiba.se
  • wikimania.org
  • wikimedia.com
  • wikimedia.community
  • wikimedia.ee - blocked/stalled by T204056
  • wmftest.org

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 6:26 AM
Vgutierrez triaged this task as Normal priority.Apr 12 2019, 6:26 AM
Vgutierrez moved this task from Triage to DNS Names on the Traffic board.

Change 503258 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add SPF records for non-canonical non-parked domains

https://gerrit.wikimedia.org/r/503258

Change 504241 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add SPF record for wikiba.se

https://gerrit.wikimedia.org/r/504241

Change 504242 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add SPF record for wikimedia.ee

https://gerrit.wikimedia.org/r/504242

Change 504243 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add SPF record for toolserver.org

https://gerrit.wikimedia.org/r/504243

Change 504244 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/dns@master] Add SPF record for wmftest.org

https://gerrit.wikimedia.org/r/504244

Change 503258 merged by Vgutierrez:
[operations/dns@master] Add SPF records for non-canonical non-parked domains

https://gerrit.wikimedia.org/r/503258

Vgutierrez updated the task description. (Show Details)Apr 16 2019, 2:13 PM

Change 283870 had a related patch set uploaded (by Dzahn; owner: Mschon):
[operations/dns@master] Add SPF record to toolserver.org

https://gerrit.wikimedia.org/r/283870

Change 504243 abandoned by Vgutierrez:
Add SPF record for toolserver.org

Reason:
dupe of I2b5e70a441a1ba7d95c49c78443a411cb8878a47

https://gerrit.wikimedia.org/r/504243

Change 283870 merged by Vgutierrez:
[operations/dns@master] Add SPF record to toolserver.org

https://gerrit.wikimedia.org/r/283870

Change 504241 merged by Vgutierrez:
[operations/dns@master] Add SPF record for wikiba.se

https://gerrit.wikimedia.org/r/504241

Change 504244 merged by Vgutierrez:
[operations/dns@master] Add SPF record for wmftest.org

https://gerrit.wikimedia.org/r/504244

Vgutierrez changed the task status from Open to Stalled.May 13 2019, 7:25 AM
Vgutierrez updated the task description. (Show Details)

Change 504242 abandoned by Vgutierrez:
Add SPF record for wikimedia.ee

Reason:
wikimedia.ee is not longer managed by WMF

https://gerrit.wikimedia.org/r/504242